Subject: Re: bug#24048: 25.0.95; syntax-ppss can be slow

From: Aaron Jensen <[email-masked]>
Date: Sun, 5 Dec 2021 00:06:09 -0500

On Sat, Dec 4, 2021 at 7:14 PM Dmitry Gutov <[email-masked]> wrote:
>
> On 04.12.2021 19:27, Aaron Jensen wrote:
> > On Sat, Dec 4, 2021 at 9:40 AM Dmitry Gutov <[email-masked]> wrote:
> >>
> >> On 04.12.2021 04:31, Aaron Jensen wrote:
> >>> I'm not presently affected by
> >>> this (no smartparens and no elixir)
> >>
> >> No Ruby either?
> >
> > I do use Ruby with enh-ruby-mode. I haven't noticed enough typing lag
> > for me to investigate. Why do you ask?
>
> You mentioned Ruby previously. If you had identified particular
> performance problems with ruby-mode, we could try to fix it there (even
> if there's not much to be done in syntax-ppss).
>
> enh-ruby-mode is a different matter, though.

Ah. I don't have any cases right now, so I'm ok letting it go until
something comes up. I no longer understand enough about what's going
on in that function to even suggest an improvement, so if things are
working as expected and no one else is noticing a perf issue then I
think we are good.

Thanks,

Aaron